<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema">
	<xsl:output method="html" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<html>
			<head>
				<meta charset="UTF-8"/>
				<title>Sushi - Menu</title>
				<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"/>
				<script src="http://code.jquery.com/ui/1.10.4/jquery-ui.js"/>
				<script src="resources/javascripts/menu.js"/>
				<link rel="stylesheet" href="http://code.jquery.com/ui/1.10.4/themes/smoothness/jquery-ui.css"/>
				<link rel="stylesheet" type="text/css" href="resources/stylesheets/main.css"/>
				<link rel="stylesheet" type="text/css" href="resources/stylesheets/menu.css"/>
				<link rel="shortcut icon" href="resources/images/favicon.ico" type="image/x-icon"/>
			</head>
			<body>
				<div class="page">
					<div class="header">
						<img alt="Logo" title="Logo" src="resources/images/logo.png"/>
						<br/>
						<br/>
						<a href="index.html">Reservieren</a>&#160;&#160; | &#160;&#160;<a href="menu.xml">Menukarte</a> (<a href="menu_pdf.fo">FO</a> / <a href="menu_pdf.pdf">PDF</a>)&#160;&#160; | &#160;&#160;<a href="reservations.html">Aktuelle Reservationen (Geheim)</a>
					</div>
					<div class="content">
						<div class="toc">
							<a href='#' id="link0">
								Menu
							</a>
							<xsl:apply-templates select="//categorie" mode="toc"/>
						</div>
						<div id="category0" class="category">
							<h1>
								<a id="id0"/>Menu</h1>
							<div class="menu">
								<!-- For each Menu ...  -->
								<xsl:apply-templates select="//menu"/>
							</div>
						</div>
						<!-- For each Categorie ...  -->
						<xsl:apply-templates select="//categorie"/>
					</div>
				</div>
				<div class="footer">
					<div class="wrapper">
						<p id="address">
							<b>We Love Sushi</b>
							<br/>
							Albisriedstrasse 24<br/>
							8547 Phantasien
						</p>
						<p id="developer">
							Made by<br/>
							Felix Rohrer<br/>
							Michael Estermann
						</p>
					</div>
				</div>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="categorie" mode="toc">
		<xsl:if test="position() &gt; 0">
			|
		</xsl:if>
		<a href='#' id="link{@id}">
			<xsl:value-of select="@name"/>
		</a>
	</xsl:template>
	<xsl:template match="categorie">
		<div id="category{@id}" class="category">
			<h1>
				<a id="id{@id}"/>
				<xsl:value-of select="@name"/>
			</h1>
			<p class="description">
				<xsl:value-of select="text()"/>
			</p>
			<div class="menu">
				<!-- For each product ...  -->
				<xsl:apply-templates select="//product[@categorie=current()/@id]"/>
			</div>
		</div>
	</xsl:template>
	<xsl:template match="menu">
		<h3>
			<xsl:value-of select="title"/>
		</h3>
		<table>
			<tr>
				<td style="vertical-align:top;">
					<img src="resources/images/sushi/{@id}.jpg" width="150" alt="{title}" title="{title}" />
				</td>
				<td>
					<div>
						<xsl:if test="description != ''">
							<xsl:value-of select="description"/>
						</xsl:if>
					</div>
					<br/>
					<span class="title">Inhalt: </span>
					<span>
						<!-- For each product ...  -->
						<xsl:apply-templates mode="toc" select="//products/product[@id=current()/contains/@id]"/>
					</span>
					<br/>
					<xsl:if test="price != ''">
						<span class="title">Preis: </span>
						<span>
							<xsl:value-of select="price"/> CHF</span>
						<br/>
					</xsl:if>
				</td>
			</tr>
		</table>
		<br/>
	</xsl:template>
	<xsl:template match="product" mode="toc">
		- <xsl:value-of select="title"/>
		<br/>
	</xsl:template>
	<xsl:template match="product">
		<h3>
			<xsl:value-of select="title"/>
		</h3>
		<table>
			<tr>
				<td>
					<img src="resources/images/sushi/{@id}.jpg" width="150" alt="{title}" title="{title}" />
				</td>
				<td>
					<div>
						<xsl:if test="description != ''">
							<xsl:value-of select="description"/>
							<br/>
						</xsl:if>
						<xsl:if test="special != ''">
							<i>
								<xsl:value-of select="special"/>
							</i>
						</xsl:if>
					</div>
					<br/>
					<xsl:if test="origin = ''">
						<span class="title"> </span>
						<span> </span>
						<br/>
					</xsl:if>
					<xsl:if test="filling != ''">
						<span class="title">Füllung: </span>
						<span>
							<xsl:value-of select="filling"/>
						</span>
						<br/>
					</xsl:if>
					<xsl:if test="filling = ''">
						<span class="title"> </span>
						<span> </span>
						<br/>
					</xsl:if>
					<xsl:if test="origin != ''">
						<span class="title">Herkunft: </span>
						<span>
							<xsl:value-of select="origin"/>
						</span>
						<br/>
					</xsl:if>
					<xsl:if test="price != ''">
						<span class="title">Preis: </span>
						<span>
							<xsl:value-of select="price"/> CHF</span>
						<br/>
					</xsl:if>
					<xsl:if test="price = ''">
						<span class="title"> </span>
						<span> </span>
						<br/>
					</xsl:if>
				</td>
			</tr>
		</table>
		<br/>
	</xsl:template>
</xsl:stylesheet>
