<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="menucard">
		<fo:root>
			<fo:layout-master-set>
				<fo:simple-page-master master-name="sushi_list" page-height="29.7cm" page-width="21cm" margin-top="1cm" margin-bottom="0.5cm" margin-left="1cm" margin-right="1cm">
					<fo:region-body margin-top="3.5cm" margin-bottom="1cm"/>
					<fo:region-before extent="2cm" display-align="before"/>
					<fo:region-after extent="2cm" display-align="after"/>
				</fo:simple-page-master>
			</fo:layout-master-set>
			<fo:page-sequence master-reference="sushi_list">
				<fo:static-content flow-name="xsl-region-before">
					<fo:block-container absolute-position="absolute" top="-1cm" left="-1cm" width="21cm" height="29.7cm" background-image="resources/images/PrintBackground.png">
						<fo:block/>
					</fo:block-container>
				</fo:static-content>
				<fo:static-content flow-name="xsl-region-after">
					<fo:table font-size="9pt" keep-together="always" width="100%" table-layout="fixed">
						<fo:table-column column-number="1" column-width="5cm"/>
						<fo:table-column column-number="2" column-width="9cm"/>
						<fo:table-column column-number="3" column-width="5cm"/>
						<fo:table-body>
							<fo:table-row font-family="Segoe UI" color="#C0B3C0">
								<fo:table-cell text-align="left">
									<fo:block>We Love Sushi</fo:block>
									<fo:block>Albisriedstrasse 24</fo:block>
									<fo:block>8547 Phantasien</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="center" white-space-collapse="false" display-align="after">
									<fo:block>Seite <fo:page-number/>
									</fo:block>
								</fo:table-cell>
								<fo:table-cell text-align="right" white-space-collapse="false" display-align="after">
									<fo:block>www.we-love-sushi.ch</fo:block>
									<fo:block>Tel: +41 (41) 123 45 67</fo:block>
								</fo:table-cell>
							</fo:table-row>
						</fo:table-body>
					</fo:table>
				</fo:static-content>
				<fo:flow flow-name="xsl-region-body">
					<!-- Menu -->
					<fo:block page-break-after="always" font-family="Segoe UI" color="#CED864">
						<fo:block padding-top="0pt" font-size="24pt" font-weight="bold" text-align="center">Menu</fo:block>
						<fo:block font-size="8pt" font-weight="bold" text-align="center" margin-bottom="10pt">*************************************************</fo:block>
						<!-- For each Menu ...  -->
						<xsl:apply-templates select="//menu"/>
					</fo:block>
					<xsl:text>&#xa;</xsl:text>
					<!-- line break -->
					<!-- For each categorie ...  -->
					<xsl:apply-templates select="//categorie"/>
				</fo:flow>
			</fo:page-sequence>
		</fo:root>
	</xsl:template>
	<xsl:template match="categorie">
		<fo:block page-break-after="always" font-family="Segoe UI" color="#CED864">
			<fo:block padding-top="0pt" font-size="24pt" font-weight="bold" text-align="center">
				<xsl:value-of select="@name"/>
			</fo:block>
			<fo:block font-size="8pt" font-weight="bold" text-align="center" margin-bottom="10pt">*************************************************</fo:block>
			<fo:block padding-top="0pt" font-size="10pt" text-align="center">
				<xsl:value-of select="text()"/>
			</fo:block>
			<fo:block white-space-treatment="preserve">
				&#x00A0;						
			</fo:block>
			<!-- For each product ...  -->
			<xsl:apply-templates select="//products/product[@categorie=current()/@id]"/>
		</fo:block>
		<xsl:text>&#xa;</xsl:text>
		<!-- line break -->
	</xsl:template>
	<xsl:template match="menu">
		<fo:table space-after="10pt" table-layout="fixed" width="19cm" font-family="Segoe UI" color="#C0B3C0" font-size="9pt" keep-together="always">
			<fo:table-column column-number="1" column-width="4.5cm"/>
			<fo:table-column column-number="2" column-width="1.5cm"/>
			<fo:table-column column-number="3" column-width="13cm"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell number-rows-spanned="4" padding-right="10pt">
						<fo:block>
							<fo:external-graphic content-width="scale-to-fit" content-height="100%" width="100%" scaling="uniform" src="resources/images/sushi/{@id}.jpg" border-width="0"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell number-columns-spanned="2">
						<fo:block font-size="12pt" text-align="left" font-weight="bold" color="#CED864">
							<xsl:value-of select="title"/>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell number-columns-spanned="2">
						<fo:block keep-together="auto">
							<xsl:value-of select="description"/>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell>
						<fo:block keep-together="auto">Inhalt:</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block keep-together="auto">
							<!-- For each product ...  -->
							<xsl:apply-templates mode="toc" select="//products/product[@id=current()/contains/@id]"/>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<xsl:choose>
					<xsl:when test="price != ''">
						<fo:table-row>
							<fo:table-cell>
								<fo:block keep-together="auto">Preis:</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block keep-together="auto">
									<xsl:value-of select="price"/> CHF</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:when>
					<xsl:otherwise>
						<fo:table-row number-columns-spanned="2">
							<fo:table-cell>
								<fo:block/>
							</fo:table-cell>
						</fo:table-row>
					</xsl:otherwise>
				</xsl:choose>
			</fo:table-body>
		</fo:table>
		<xsl:text>&#xa;</xsl:text>
		<!-- line break -->
	</xsl:template>
	<xsl:template match="product" mode="toc">
		<fo:block>
			- <xsl:value-of select="title"/>
		</fo:block>
	</xsl:template>
	<xsl:template match="product">
		<fo:table space-after="10pt" table-layout="fixed" width="19cm" font-family="Segoe UI" color="#C0B3C0" font-size="9pt" keep-together="always">
			<fo:table-column column-number="1" column-width="4.5cm"/>
			<fo:table-column column-number="2" column-width="1.5cm"/>
			<fo:table-column column-number="3" column-width="13cm"/>
			<fo:table-body>
				<fo:table-row>
					<fo:table-cell number-rows-spanned="5" padding-right="10pt">
						<fo:block>
							<fo:external-graphic content-width="scale-to-fit" content-height="100%" width="100%" scaling="uniform" src="resources/images/sushi/{@id}.jpg" border-width="0"/>
						</fo:block>
					</fo:table-cell>
					<fo:table-cell number-columns-spanned="2">
						<fo:block font-size="12pt" text-align="left" font-weight="bold" color="#CED864">
							<xsl:value-of select="title"/>
							<xsl:if test="@amount != ''">
								(<xsl:value-of select="@amount"/> Stück)
							</xsl:if>
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<fo:table-row>
					<fo:table-cell number-columns-spanned="2">
						<fo:block keep-together="auto">
							<xsl:value-of select="description"/>
						</fo:block>
						<fo:block keep-together="auto">
							<xsl:value-of select="special"/>
						</fo:block>
						<fo:block white-space-treatment="preserve">
						&#x00A0;						
						</fo:block>
					</fo:table-cell>
				</fo:table-row>
				<xsl:choose>
					<xsl:when test="filling != ''">
						<fo:table-row>
							<fo:table-cell>
								<fo:block keep-together="auto">Füllung:</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block keep-together="auto">
									<xsl:value-of select="filling"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:when>
					<xsl:otherwise>
						<fo:table-row number-columns-spanned="2">
							<fo:table-cell>
								<fo:block/>
							</fo:table-cell>
						</fo:table-row>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="origin != ''">
						<fo:table-row>
							<fo:table-cell>
								<fo:block keep-together="auto">Herkunft:</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block keep-together="auto">
									<xsl:value-of select="origin"/>
								</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:when>
					<xsl:otherwise>
						<fo:table-row number-columns-spanned="2">
							<fo:table-cell>
								<fo:block/>
							</fo:table-cell>
						</fo:table-row>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="price != ''">
						<fo:table-row>
							<fo:table-cell>
								<fo:block keep-together="auto">Preis:</fo:block>
							</fo:table-cell>
							<fo:table-cell>
								<fo:block keep-together="auto">
									<xsl:value-of select="price"/> CHF</fo:block>
							</fo:table-cell>
						</fo:table-row>
					</xsl:when>
					<xsl:otherwise>
						<fo:table-row number-columns-spanned="2">
							<fo:table-cell>
								<fo:block/>
							</fo:table-cell>
						</fo:table-row>
					</xsl:otherwise>
				</xsl:choose>
			</fo:table-body>
		</fo:table>
		<xsl:text>&#xa;</xsl:text>
		<!-- line break -->
	</xsl:template>
</xsl:stylesheet>
