var availableSeats = new Array();
var selectedSeats = new Array();
var ready = false;

$(function () {
    $("#date").datepicker({
        prevText: '&#x3c;zurück', prevStatus: '',
        prevJumpText: '&#x3c;&#x3c;', prevJumpStatus: '',
        nextText: 'Vor&#x3e;', nextStatus: '',
        nextJumpText: '&#x3e;&#x3e;', nextJumpStatus: '',
        currentText: 'heute', currentStatus: '',
        todayText: 'heute', todayStatus: '',
        clearText: '-', clearStatus: '',
        closeText: 'schließen', closeStatus: '',
        monthNames: ['Januar', 'Februar', 'März', 'April', 'Mai', 'Juni', 'Juli', 'August', 'September', 'Oktober', 'November', 'Dezember'],
        monthNamesShort: ['Jan', 'Feb', 'Mär', 'Apr', 'Mai', 'Jun', 'Jul', 'Aug', 'Sep', 'Okt', 'Nov', 'Dez'],
        dayNames: ['Sonntag', 'Montag', 'Dienstag', 'Mittwoch', 'Donnerstag', 'Freitag', 'Samstag'],
        dayNamesShort: ['So', 'Mo', 'Di', 'Mi', 'Do', 'Fr', 'Sa'],
        dayNamesMin: ['So', 'Mo', 'Di', 'Mi', 'Do', 'Fr', 'Sa'],
        showMonthAfterYear: false,
        showOn: 'focus',
        minDate: 0,
        //buttonImage: 'media/img/calendar.png',
        //buttonImageOnly: true,
        dateFormat: 'dd.mm.yy',
        onSelect: function (dateText, inst) {
            updateSeats(dateText);
        },
    });
});

$(document).ready(function () {

	// Check the get params
	checkParams();

    // Attach an event to every chair
    for (var id = 1; id <= 16; id++) {
        $("#chair_state" + id).click(function () {

            // Date should be selected first, otherwise show exception
            if (!ready) {
                alert("Bitte wählen Sie zuerst ein Datum.");

                return;
            }

            var seatId = this.id.substring(11);
			
            // Try to do a seat-reservation
            if ($.inArray(seatId, availableSeats) != -1) {

                // Show exception
                alert("Dieser Sitzplatz ist bereits reserviert");
            } else {

                // Check whether the seat should be reserved or removed from the reservation list
                if ($.inArray(seatId, selectedSeats) != -1) {

                    // Remove it from the reservation list
                    $("#chair_state" + seatId).attr("fill", "white");
                    $("#chair_state" + seatId).attr("fill-opacity", "0.0");
                    $("#chair_state" + seatId).attr("stroke", "none");

                    selectedSeats.splice($.inArray(seatId, selectedSeats), 1);
                } else {

                    // Add the seat to the reservation list
                    $("#chair_state" + seatId).attr("fill", "green");
                    $("#chair_state" + seatId).attr("fill-opacity", "0.3");
                    $("#chair_state" + seatId).attr("stroke", "green");

                    selectedSeats.push(seatId);
                }

                $("#seatCount").text(selectedSeats.length);

                // Update the hidden field
                $("#seats").val(selectedSeats.join(","));
            }
        });
    }

    // Bind submit button
    $('#submit').click(function (e) {

        // If the there is no selected seats, show exception
        if (selectedSeats.length == 0) {

            alert("Es wurde keine Sitzplätze angewählt!");
        } else {

            var date = $("#date").val();
            var prename = encodeURIComponent($("#prename").val());
            var surname = encodeURIComponent($("#surname").val());
            var contact = encodeURIComponent($("#contact").val());
            var comment = encodeURIComponent($("#comment").val());
            var seats = $("#seats").val();

            $.ajax({
                type: "GET",
                url: "http://mmt.ximit.ch/sushi/sushi.php?action=set&date=" + date +
                    "&seats=" + seats +
                    "&prename=" + prename +
                    "&surname=" + surname +
                    "&comment=" + comment +
                    "&contact=" + contact,
                dataType: "xml",
                cache: false,
                success: function (xml) {

                    // Evaluate the received xml
                    var errorNode = xml.getElementsByTagName("error")[0];

                    if (errorNode) {

                        // Errorhandling
                        alert(errorNode.textContent);
                    } else {

                        // Show the success message
                        alert("Die Sitze wurden erfolgreich reserviert. Bis bald!")
                    }
                }
            });
        }

        e.preventDefault(); // prevents default
        return false; // also prvents default (i like to add both but just the e.preventDefault is required :) )
    });
	
	updateSeats($("#date").val());
});

function checkParams() {

	// Parse url data
    var vars = [], hash;
    var hashes = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&');
    for(var i = 0; i < hashes.length; i++)
    {
        hash = hashes[i].split('=');
        vars.push(hash[0]);
        vars[hash[0]] = hash[1];
    }
	
	if (vars["date"] == undefined) {
		vars["date"] = "now";
	}
	
	if ("date" in vars)
	{
		var today;
		
		if (vars["date"] == "now") {
			today = new Date();
		} else if (vars["date"] == "tomorrow") {
			today = new Date();
			today.setDate(today.getDate() + 1);
		}
		
		if (today != undefined) {
			var day = today.getDate();
			var month = today.getMonth() + 1;//January is 0!
			var year = today.getFullYear();
			
			if (day <= 9) day = '0' + day;
			if (month <= 9) month = '0' + month;
			
			var dateString = day + "." + month + "." + year;
			
			$('#date').val(dateString);
			
			updateSeats(dateString);
		}
	}   
}

function updateSeats(dateText) {

	// Reset the color of every selected seat
	for (var index = 0; index < selectedSeats.length; index++) {

		$("#chair" + selectedSeats[index] + "_state").attr("fill", "none");
		$("#chair" + selectedSeats[index] + "_state").attr("stroke", "none");
	}

	// Clear the selected seats
	selectedSeats = [];

	// Query for the seat reservation at this specific date
	$.ajax({
		type: "GET",
		url: "http://mmt.ximit.ch/sushi/sushi.php?action=get&date=" + dateText,
		dataType: "xml",
		cache: false,
		success: function (xml) {

			// Set the ready state
			ready = true;

			// Clear available seats
			availableSeats = [];

			// Evaluate the received xml
			var errorNode = xml.getElementsByTagName("error")[0];

			if (errorNode) {

				// Errorhandling
				alert(errorNode.textContent);
			}
			else {
				var booking = xml.getElementsByTagName("bookings")[0];

				for (var index = 0; index < booking.childNodes.length; index++) {
					var booked = booking.childNodes[index].getAttribute("booked") === "true";
					var id = booking.childNodes[index].getAttribute('id');

					if (booked) {

						availableSeats.push(id);

						// Colorize them
						$("#chair_state" + id).attr("fill", "red");
						$("#chair_state" + id).attr("fill-opacity", "0.3");
						$("#chair_state" + id).attr("stroke", "red");
					}
					else {
						// Reset the seat's color
						$("#chair_state" + id).attr("fill", "white");
						$("#chair_state" + id).attr("fill-opacity", "0.0");
						$("#chair_state" + id).attr("stroke", "none");
					}
				}
			}
		}
	});
}